<?php
require_once("_lib.php"); // フレームワークのライブラリ関数定義を読み込む
$dbfn = "tweet.db";        // データベースのファイル名
$db = dbopen($dbfn);     // データベースオブジェクト$db を作成
// prepare database if not exists
$db->exec("create table IF NOT EXISTS 'tweets' ('id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'mes' TEXT NOT NULL, 'dt' DATETIME NOT NULL )");

if (isset($_POST['mes'])){   // POSTメソッドで mes がはいってきたら
  sanitize($_POST);                    // データのサニタイズ（SQLインジェクション対応）
  insert($db, "tweets", $_POST);   // tweets テーブルに，$_POST の内容を「行として」追加する
}

css(); // echo '<style> body { font: 120% "Trebuchet MS", sans-serif; } </style>';
title("Tweet Index");

heading("Tweet Index (Guest can tweet!)");


showtable($db,"tweets",$dbfn);

form_start( ["style"=>"background: #ffc; border: 3px solid #cc9; padding: 10px;"] );
form_input("mes", ["type"=>"text", "size"=>80, "placeholder"=>"input message", "value"=>""]);
form_input("username", ["type"=>"text", "size"=>30, "placeholder"=>"input username", "value"=>""]);
form_submit( ["value"=>"Tweet"] );
form_end();

show_linkb("Reload this page",$fullurl);

br(4);
show_link("admin","tweet_admin.php");